AnsweredAssumed Answered

compile error "error: invalid sprg number" when I use QorIQ-SDK-V1.8 compiler to make linux uImage

Question asked by wang ruolong on Aug 2, 2015
Latest reply on Aug 12, 2015 by Pavel Chubakov

Hi,

  I use the "fsl-networking-eglibc-i686-ppce500v2-toolchain-QorIQ-SDK-V1.8.sh" from the iso package "QorIQ-SDK-v1.8-PPCE500V2-IMAGE-20150619-yocto.iso" to install the compiler.

And the "#source environment-setup-ppce500v2-fsl-linux-gnuspe" to setup evironment

And compile linux-3.12.19 to make up uImage for P1010RDB-PB,but the error show below, can you tell me why and how can i restore it?

 

  AS      arch/powerpc/kernel/swsusp_booke.o

arch/powerpc/kernel/swsusp_booke.S: Assembler messages:

arch/powerpc/kernel/swsusp_booke.S:85: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:87: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:89: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:91: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:161: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:163: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:165: Error: invalid sprg number

arch/powerpc/kernel/swsusp_booke.S:167: Error: invalid sprg number

make[1]: *** [arch/powerpc/kernel/swsusp_booke.o] Error 1

make: *** [arch/powerpc/kernel] Error 2

Outcomes